@echo off

:: Usage: generate-html.bat [<gs-major-version-number]
:: The optional parameter major version number, which can be 2 or 3, will be assumed to be (Greenstone) "2" if none is provided
if not "%GSDLHOME%" == "" goto generate

echo You must run 'setup' in the top level folder of your Greenstone installation before running this script
echo Usage: $0 [gs-major-version-number=2]
goto exit

setlocal

set top_dir=%CD%
set source_dir=%CD%\xml-source
set processing_dir=%CD%\processing
set output_dir=%CD%\html
:generate:
if not exist "%output_dir" mkdir %output_dir%
cd ..
cd shared
set shared_dir=%CD%
cd %output_dir%


set CLASSPATH=%shared_dir%;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;%shared_dir%\xalan.jar

echo "processing top level index"

java -cp "%CLASSPATH%" -DGSDLHOME="%GSDLHOME%" ApplyXSLT "en" "%processing_dir%\xml-to-top-index.xsl"  "%source_dir%\tutorial_en.xml" %* > "%output_dir%\index.html"

echo "generating wiki index page"
java -cp "%CLASSPATH%" -DGSDLHOME="%GSDLHOME%" ApplyXSLT "en" "%processing_dir%\xml-to-wiki-index.xsl" "%source_dir%\tutorial_en.xml" %* > "%output_dir%\wiki-index.txt"


for %%G IN (en,fr,ru,es) do (
if not exist "html\%%G" mkdir html\%%G

echo "procesing %%G version"
cd %output_dir%\%%G
java -cp "%CLASSPATH%" -DGSDLHOME="%GSDLHOME%" ApplyXSLT %%G "%processing_dir%\xml-to-index.xsl" "%source_dir%\tutorial_%%G.xml" %* > "index.html"
java -cp "%CLASSPATH%" -DGSDLHOME="%GSDLHOME%" ApplyXSLT %%G "%processing_dir%\xml-to-one-html.xsl" "%source_dir%\tutorial_%%G.xml" %* > "all_tutorials.html"
java -cp "%CLASSPATH%" -DGSDLHOME="%GSDLHOME%" ApplyXSLT %%G "%processing_dir%\xml-to-many-html.xsl" "%source_dir%\tutorial_%%G.xml" %* | perl -S "%GSDLHOME%\gli\help\splithelpdocument.pl"
cd ..
)

endlocal

:exit:


