<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:param name="gs-major-version"/>
  <xsl:include href="common.xsl"/>
  <xsl:output method="html"/>
  <!-- set mode to cd/web depending on where the files will end up -->
  <xsl:variable name="mode">wiki</xsl:variable>

  <xsl:template match="TutorialList">
    <html>
      <head>
	<title><xsl:apply-templates select="Title/Text"/></title>
      </head>
      <body>
	<h2><xsl:apply-templates select="Title/Text"/></h2>
	<h3><xsl:apply-templates select="SupplementaryText/Text[@id='current']"/><xsl:text> </xsl:text><xsl:value-of select="Version/@current"/></h3>
	<xsl:apply-templates select="Comment"/>
	<a name="index"/>
	<dl>
	  <xsl:apply-templates select="Tutorial[not(@hidden)]" mode="index"/>
	</dl>
	<xsl:apply-templates select="Tutorial[not(@hidden)]"/>
	
	<hr/><div style="text-align:center;"><xsl:apply-templates select="SupplementaryText/Text[@id='copyright']"/></div>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="Tutorial" mode="index">
    <dt><a href="#{@id}"><xsl:apply-templates select="Title/Text"/></a></dt>
    <dd><xsl:for-each select="Content/Heading">
	<xsl:apply-templates/><br/>
      </xsl:for-each>
    </dd>
  </xsl:template>

  <xsl:template match="Tutorial">
    <div style="page-break-before: always;">
    <a name="{@id}"/>
    <h2><xsl:apply-templates select="Title/Text"/></h2>
    <div style="text-align:right;">
      <xsl:call-template name="supplementary">
	<xsl:with-param name="mode" select="$mode"/>
      </xsl:call-template>
    </div>
    <xsl:apply-templates select="Content/*"/>    
    <br/>
    <br/>
    </div>
  </xsl:template>

  <xsl:template name="supplementary">
    <xsl:param name="mode">web</xsl:param>
    <!--
    <xsl:call-template name="IndexLink">
      <xsl:with-param name="mode">combined</xsl:with-param>
    </xsl:call-template>
    -->
    <xsl:apply-templates select="Prerequisite" mode="combined"/>
    <xsl:if test="SampleFiles">
      <xsl:call-template name="SampleFiles">
	<xsl:with-param name="mode"><xsl:value-of select="$mode"/></xsl:with-param>
      </xsl:call-template>
    </xsl:if>
    <xsl:apply-templates select="Version"/>
  </xsl:template>
 
</xsl:stylesheet>
